Summary: Framework for building web applications with Java
Name: struts
Version: 1.0.2
Release: 6
URL: http://jakarta.apache.org/struts/
Source: jakarta-%{name}-%{version}-src.tar.gz
Patch5: %{name}-jdk14.patch
Patch6: %{name}-jdbc20.patch
Patch7: %{name}-ascii.patch
Patch8: %{name}-javadoc.patch
Patch9: %{name}-nag18869.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: ant
BuildPrereq: xerces-j >= 2.2.1-12
BuildPrereq: servletapi
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: xerces-j
Requires: servletapi
Obsoletes: struts-devel
BuildArch: noarch

%description
Struts is a framework for building web applications with Java. It
helps create an extensible development environment for applications,
based on published standards and proven design patterns.

%package webapps
Summary: Sample Struts web applications
Group: System Environment/Daemons
Requires: tomcat

%description webapps
The struts-webapps package contains a number of sample webapps that
use struts.  It includes the struts documentation, a number of example
applications that demonstrate the power of struts, a test application,
and a blank webapp for you to use as a template for your own struts
applications.

%prep
%setup -q -n jakarta-%{name}-%{version}-src
%patch5 -p1 -b .jdk14
%patch6 -p0 -b .jdbc20
%patch7 -p0 -b .ascii
%patch8 -p0 -b .javadoc
%patch9 -p0 -b .nag18869

%build
CLASSPATH=%{_datadir}/java/servlet.jar:%{_datadir}/java/xmlParserAPIs.jar \
ant dist

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/java
install -m 644 dist/lib/struts.jar \
    $RPM_BUILD_ROOT/%{_datadir}/java/struts-%{version}.jar

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/struts
install -m 644 dist/lib/*.tld $RPM_BUILD_ROOT/%{_datadir}/struts
install -m 644 dist/lib/*.dtd $RPM_BUILD_ROOT/%{_datadir}/struts

for w in `pwd`/dist/webapps/*.war; do
    d=$RPM_BUILD_ROOT/%{_localstatedir}/lib/tomcat/`basename $w .war`
    mkdir -p $d
    (cd $d && jar34 xf $w)
    rm -Rf $d/META-INF
done

%post
%{_sbindir}/javaconfig %{_datadir}/java/struts.jar

%postun
%{_sbindir}/javaconfig %{_datadir}/java/struts.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README WhoWeAre
%{_datadir}/java/*.jar
%{_datadir}/struts

%files webapps
%defattr(-,root,root)
%{_localstatedir}/lib/tomcat/*

%changelog
* Wed Feb 18 2004 Gary Benson <gbenson@redhat.com> 1.0.2-6
- Rebuild for Fedora.

* Fri Oct  3 2003 Gary Benson <gbenson@redhat.com> 1.0.2-5
- Build the sample webapps.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.0.2-4
- Ensure we have a working javaconfig.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 1.0.2-3
- Obsolete struts-devel.

* Thu Jul 24 2003 Gary Benson <gbenson@redhat.com> 1.0.2-2
- Build using ant rather than autotools, since the solib is both
  unnecessary and in some cases counterproductive.

* Wed Jun 18 2003 Gary Benson <gbenson@redhat.com> 1.0.2-1
- Initial Red Hat Linux build.

* Wed Jun 18 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
